org.apache.flume.conf.channel

## Class ChannelSelectorConfiguration

- java.lang.Object
- - org.apache.flume.conf.ComponentConfiguration
  - - org.apache.flume.conf.channel.ChannelSelectorConfiguration

-     public class ChannelSelectorConfiguration
      extends ComponentConfiguration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChannelSelectorConfiguration.ChannelSelectorConfigurationType`

    - ### Nested classes/interfaces inherited from class org.apache.flume.conf.ComponentConfiguration

      `ComponentConfiguration.ComponentType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `channelNames`

    - ### Fields inherited from class org.apache.flume.conf.ComponentConfiguration

      `componentName, configured, errors`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChannelSelectorConfiguration(String componentName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)`
    `Set<String>` | `getChannels()`
    `void` | `setChannels(Set<String> channelNames)`

    - ### Methods inherited from class org.apache.flume.conf.ComponentConfiguration

      `failIfConfigured, getComponentName, getErrors, getType, isNotFoundConfigClass, setConfigured, setNotFoundConfigClass, setType, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### channelNames

          protected Set<String> channelNames

  - ### Constructor Detail

    - #### ChannelSelectorConfiguration

          protected ChannelSelectorConfiguration(String componentName)

  - ### Method Detail

    - #### getChannels

          public Set<String> getChannels()

    - #### setChannels

          public void setChannels(Set<String> channelNames)

    - #### configure

          public void configure(Context context)
                         throws ConfigurationException

      Overrides:
        `configure` in class `ComponentConfiguration`
      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.